/*
AUTORE: Manuel Vichi
Determina se una parola è monovocalica
*/
#include <iostream>
#include <cstring>
#include <cctype>
#include <cstdlib>
#include <string>
using namespace std;
bool isMonovocalic(char string[], size_t size) {
	int vowels = 0; //Inizializza il numero di vocali
	for (size_t i = 0; i < size; i++)
		if (string[i] == 'A' || string[i] == 'E' || string[i] == 'I' 
		|| string[i] == 'O' || string[i] == 'U' || string[i] == 'a' ||
		string[i] == 'e' || string[i] == 'i' || string[i] == 'o' || string[i] == 'u')
			vowels++;
	return vowels == 1;
}

int main(void) {
	size_t length;
	cout << "Inserisci la lunghezza della parola: ";
	cin >> length;
	cout << endl;
	char parola[length+1];
	cout << "Inserisci la parola: ";
	cin >> parola; // Sono ormai le 10 di sera e al momento non riesco ad implementare il controllo della lunghezza.
	cout << endl;
	if (isMonovocalic(parola,length))
		cout << "La parola e' monovocalica." << endl;
	else
		cout << "La parola non e' monovocalica." << endl;
	return 0;
}
